diff --git a/test/ruby/test_keyword.rb b/test/ruby/test_keyword.rb
index a0459553ac..f6e882a8d4 100644
--- a/test/ruby/test_keyword.rb
+++ b/test/ruby/test_keyword.rb
@@ -3809,11 +3809,11 @@ def c.m(**args)
     assert_equal(h2, c.instance_exec(c, **h2, &:m))
     assert_equal(h3, c.instance_exec(c, **h3, &:m))
     assert_equal(h3, c.instance_exec(c, a: 1, **h2, &:m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/) do
       assert_equal(h, c.instance_exec(c, h, &:m))
     end
     assert_raise(ArgumentError) { c.instance_exec(c, h2, &:m) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/) do
       assert_raise(ArgumentError) { c.instance_exec(c, h3, &:m) }
     end
 
@@ -3821,25 +3821,25 @@ def c.m(**args)
     def c.m(arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       c.instance_exec(c, **{}, &:m)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       c.instance_exec(c, **kw, &:m)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, kw], c.instance_exec(c, **h, &:m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, kw], c.instance_exec(c, a: 1, &:m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h2, kw], c.instance_exec(c, **h2, &:m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, kw], c.instance_exec(c, **h3, &:m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, kw], c.instance_exec(c, a: 1, **h2, &:m))
     end
     assert_equal([h, kw], c.instance_exec(c, h, &:m))
@@ -3857,11 +3857,11 @@ def c.m(arg=1, **args)
     assert_equal([1, h2], c.instance_exec(c, **h2, &:m))
     assert_equal([1, h3], c.instance_exec(c, **h3, &:m))
     assert_equal([1, h3], c.instance_exec(c, a: 1, **h2, &:m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/m) do
       assert_equal([1, h], c.instance_exec(c, h, &:m))
     end
     assert_equal([h2, kw], c.instance_exec(c, h2, &:m))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/) do
       assert_equal([h2, h], c.instance_exec(c, h3, &:m))
     end
   end
@@ -3902,10 +3902,10 @@ def c.c; end
     def c.c(args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
       assert_equal(kw, c.m(:c, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
       assert_equal(kw, c.m(:c, **kw))
     end
     assert_equal(kw, c.m(:c, kw, **kw))
@@ -3927,11 +3927,11 @@ def c.c(**args)
     assert_equal([h2, h2], c.m(:c, **h2, &m))
     assert_equal([h3, h3], c.m(:c, **h3, &m))
     assert_equal([h3, h3], c.m(:c, a: 1, **h2, &m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `c'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `c'/m) do
       assert_equal([h, h], c.m(:c, h, &m))
     end
     assert_raise(ArgumentError) { c.m(:c, h2, &m) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `c'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `c'/m) do
       assert_raise(ArgumentError) { c.m(:c, h3, &m) }
     end
 
@@ -3939,25 +3939,25 @@ def c.c(**args)
     def c.c(arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
       assert_equal([kw, kw], c.m(:c, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
       assert_equal([kw, kw], c.m(:c, **kw))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
       assert_equal([h, kw], c.m(:c, **h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
       assert_equal([h, kw], c.m(:c, a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
       assert_equal([h2, kw], c.m(:c, **h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
       assert_equal([h3, kw], c.m(:c, **h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `c'/m) do
       assert_equal([h3, kw], c.m(:c, a: 1, **h2))
     end
     assert_equal([h, kw], c.m(:c, h))
@@ -3975,11 +3975,11 @@ def c.c(arg=1, **args)
     assert_equal([1, h2], c.m(:c, **h2))
     assert_equal([1, h3], c.m(:c, **h3))
     assert_equal([1, h3], c.m(:c, a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `c'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `c'/m) do
       assert_equal([1, h], c.m(:c, h))
     end
     assert_equal([h2, kw], c.m(:c, h2))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `c'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `c'/m) do
       assert_equal([h2, h], c.m(:c, h3))
     end
   end
@@ -4110,22 +4110,22 @@ def test_rest_keyrest
     bug7665 = '[ruby-core:51278]'
     bug8463 = '[ruby-core:55203] [Bug #8463]'
     expect = [*%w[foo bar], {zzz: 42}]
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `rest_keyrest'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `rest_keyrest'/m) do
       assert_equal(expect, rest_keyrest(*expect), bug7665)
     end
     pr = proc {|*args, **opt| next *args, opt}
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
       assert_equal(expect, pr.call(*expect), bug7665)
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
       assert_equal(expect, pr.call(expect), bug8463)
     end
     pr = proc {|a, *b, **opt| next a, *b, opt}
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
       assert_equal(expect, pr.call(expect), bug8463)
     end
     pr = proc {|a, **opt| next a, opt}
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
       assert_equal(expect.values_at(0, -1), pr.call(expect), bug8463)
     end
   end
@@ -4143,13 +4143,13 @@ def splat_plus_keyword(*a, **h)
   end
 
   def test_keyword_split
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `req_plus_keyword'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `req_plus_keyword'/m) do
       assert_equal([{:a=>1}, {}], req_plus_keyword(:a=>1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `req_plus_keyword'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `req_plus_keyword'/m) do
       assert_equal([{"a"=>1}, {}], req_plus_keyword("a"=>1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `req_plus_keyword'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `req_plus_keyword'/m) do
       assert_equal([{"a"=>1, :a=>1}, {}], req_plus_keyword("a"=>1, :a=>1))
     end
     assert_equal([{:a=>1}, {}], req_plus_keyword({:a=>1}))
@@ -4159,22 +4159,22 @@ def test_keyword_split
     assert_equal([1, {:a=>1}], opt_plus_keyword(:a=>1))
     assert_equal([1, {"a"=>1}], opt_plus_keyword("a"=>1))
     assert_equal([1, {"a"=>1, :a=>1}], opt_plus_keyword("a"=>1, :a=>1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `opt_plus_keyword'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `opt_plus_keyword'/m) do
       assert_equal([1, {:a=>1}], opt_plus_keyword({:a=>1}))
     end
     assert_equal([{"a"=>1}, {}], opt_plus_keyword({"a"=>1}))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `opt_plus_keyword'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `opt_plus_keyword'/m) do
       assert_equal([{"a"=>1}, {:a=>1}], opt_plus_keyword({"a"=>1, :a=>1}))
     end
 
     assert_equal([[], {:a=>1}], splat_plus_keyword(:a=>1))
     assert_equal([[], {"a"=>1}], splat_plus_keyword("a"=>1))
     assert_equal([[], {"a"=>1, :a=>1}], splat_plus_keyword("a"=>1, :a=>1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `splat_plus_keyword'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `splat_plus_keyword'/m) do
       assert_equal([[], {:a=>1}], splat_plus_keyword({:a=>1}))
     end
     assert_equal([[{"a"=>1}], {}], splat_plus_keyword({"a"=>1}))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `splat_plus_keyword'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `splat_plus_keyword'/m) do
       assert_equal([[{"a"=>1}], {:a=>1}], splat_plus_keyword({"a"=>1, :a=>1}))
     end
   end
@@ -4361,7 +4361,7 @@ def foo(a, b, c=1, *d, e, f:2, **g)
         [a, b, c, d, e, f, g]
       end
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `foo'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `foo'/m) do
       assert_equal([1, 2, 1, [], {:f=>5}, 2, {}], a.new.foo(1, 2, f:5), bug8993)
     end
   end
@@ -4396,10 +4396,10 @@ def test_implicit_hash_conversion
     o = Object.new
     def o.to_hash() { k: 9 } end
     assert_equal([1, 42, [], o, :key, {}, nil], f9(1, o))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m1'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m1'/m) do
       assert_equal([1, 9], m1(1, o) {|a, k: 0| break [a, k]}, bug10016)
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m1'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m1'/m) do
       assert_equal([1, 9], m1(1, o, &->(a, k: 0) {break [a, k]}), bug10016)
     end
   end
@@ -4714,11 +4714,11 @@ def c.m(args)
       END
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.call(**{}, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.call(**kw, &:m))
     end
     assert_equal(h, c.call(**h, &:m))
@@ -4738,11 +4738,11 @@ def c.m(**args)
     assert_equal(h2, c.call(**h2, &:m))
     assert_equal(h3, c.call(**h3, &:m))
     assert_equal(h3, c.call(a: 1, **h2, &:m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
       assert_equal(h, c.call(h, &:m))
     end
     assert_raise(ArgumentError) { c.call(h2, &:m) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `call'/m) do
       assert_raise(ArgumentError) { c.call(h3, &:m) }
     end
 
@@ -4755,31 +4755,31 @@ def c.m(arg, **args)
       END
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([kw, kw], c.call(**{}, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([kw, kw], c.call(**kw, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.call(**h, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.call(a: 1, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], c.call(**h2, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.call(**h3, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.call(a: 1, **h2, &:m))
     end
 
@@ -4834,11 +4834,11 @@ def c.method_missing(_, args)
       END
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal(kw, c.call(**{}, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal(kw, c.call(**kw, &:m))
     end
     assert_equal(h, c.call(**h, &:m))
@@ -4858,11 +4858,11 @@ def c.method_missing(_, **args)
     assert_equal(h2, c.call(**h2, &:m))
     assert_equal(h3, c.call(**h3, &:m))
     assert_equal(h3, c.call(a: 1, **h2, &:m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
       assert_equal(h, c.call(h, &:m2))
     end
     assert_raise(ArgumentError) { c.call(h2, &:m2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `call'/m) do
       assert_raise(ArgumentError) { c.call(h3, &:m2) }
     end
 
@@ -4875,31 +4875,31 @@ def c.method_missing(_, arg, **args)
       END
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([kw, kw], c.call(**{}, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([kw, kw], c.call(**kw, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h, kw], c.call(**h, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h, kw], c.call(a: 1, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h2, kw], c.call(**h2, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h3, kw], c.call(**h3, &:m))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h3, kw], c.call(a: 1, **h2, &:m))
     end
 
@@ -4954,11 +4954,11 @@ def c.method_missing(_, args)
       END
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal(kw, c.call(**{}, &:m2))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal(kw, c.call(**kw, &:m2))
     end
     assert_equal(h, c.call(**h, &:m2))
@@ -4978,11 +4978,11 @@ def c.method_missing(_, **args)
     assert_equal(h2, c.call(**h2, &:m2))
     assert_equal(h3, c.call(**h3, &:m2))
     assert_equal(h3, c.call(a: 1, **h2, &:m2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
       assert_equal(h, c.call(h, &:m2))
     end
     assert_raise(ArgumentError) { c.call(h2, &:m2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `call'/m) do
       assert_raise(ArgumentError) { c.call(h3, &:m2) }
     end
 
@@ -4995,31 +4995,31 @@ def c.method_missing(_, arg, **args)
       END
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([kw, kw], c.call(**{}, &:m2))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([kw, kw], c.call(**kw, &:m2))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h, kw], c.call(**h, &:m2))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h, kw], c.call(a: 1, &:m2))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h2, kw], c.call(**h2, &:m2))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h3, kw], c.call(**h3, &:m2))
     end
     redef[]
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `method_missing'/m) do
       assert_equal([h3, kw], c.call(a: 1, **h2, &:m2))
     end
 
